import {
	Base
} from '../../static/util/base.js'
class CheckModel extends Base {
	constructor() {
		super();
	}

	getSampleListByNJB(data,callBack) {
		var params = {
			url: '/ah/ahSampleSheet/getSampleListByNJB',
			data:data,
			sCallBack: function(res) {
				callBack && callBack(res.data)
			}
		}
		this.serviceRequest(params);
	}

	getSampleInfoByNJB(sampleSheetNumber,callBack) {
		var params = {
			url: '/ah/ahSampleSheet/getSampleInfoByNJB',
			data:{sampleSheetNumber},
			sCallBack: function(res) {
				callBack && callBack(res.data)
			}
		}
		this.serviceRequest(params);
	}

	submitSampleSheetNJB(id,callBack) {
		var params = {
			url: '/ah/ahSampleSheet/submitSampleSheetNJB',
			data:{id},
			sCallBack: function(res) {
				callBack && callBack(res.data)
			}
		}
		this.serviceRequest(params);
	}

	submitSampleSheet(data,callBack) {
		var params = {
			url: '/ah/ahCheckNak/submitSampleSheet',
			data:data,
			sCallBack: function(res) {
				callBack && callBack(res)
			}
		}
		this.serviceRequest(params);
	}

	/**
	 * 查询抽样单详情
	 * @param id
	 * @param callBack
	 */

	getAhSampleSheetDetail(id,callBack) {
		var params = {
			url: '/ah/ahSampleSheet/'+id,
			sCallBack: function(res) {
				callBack && callBack(res.data)
			}
		}
		this.serviceRequest(params);
	}

	/**
	 * 获取本抽样单下面所有样品详细信息
	 */

	getSampleSheetDetailData(data,callBack){
		const params = {
			url: '/ah/ahSampleDetail/list',
			type: 'get',
			data:data,
			sCallBack: function(res) {
				callBack && callBack(res.data)
			}
		}
		this.serviceRequest(params);
	}
}

const _checkModel = new CheckModel();
export {
	_checkModel
}